Notifications
Archive a user notification
POST
sessionCookiecookie
better-auth.session_token<token>The Better Auth email/password session cookie used by the web application.
notificationId*stringLength
1 <= lengthResponse for status 200
application/json- response
id*stringLength
1 <= lengthprojectId*|nullsourceEventId*stringLength
1 <= lengthkind*stringValue in
"publication_published""publication_failed""publication_ambiguous"severity*stringValue in
"success""warning""error"subject*title*stringLength
1 <= lengthbody*stringLength
1 <= lengthreadAt*|nullarchivedAt*|nullcreatedAt*integerRange
0 <= valuecurl -X POST 'https://postbot.example/api/notifications/string/archive'Example Response
{
"id": "string",
"projectId": "string",
"sourceEventId": "string",
"kind": "publication_published",
"severity": "success",
"subject": {
"type": "string",
"id": "string"
},
"title": "string",
"body": "string",
"readAt": 0,
"archivedAt": 0,
"createdAt": 0
}